Bug 120435 - Konica KD-400Z digital camera causes kernel panic when connected via USB
Summary: Konica KD-400Z digital camera causes kernel panic when connected via USB
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-08 19:36 UTC by Robert Theisen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-10-19 19:27:48 UTC


Attachments (Terms of Use)

Description Robert Theisen 2004-04-08 19:36:04 UTC
Description of problem:
Plugging in a konica KD-400Z digital camera (via USB) while the system
is running will result in a kernel panic after approximately 10 seconds.

Version-Release number of selected component (if applicable):
kernel-2.4.21-9.0.1.EL  (i686)

How reproducible:
consistently


Steps to Reproduce:
1.Boot Machine Normally
2.Plug in camera via USB
3.Wait 10-20 seconds
  
Actual results:
Kernel panics and machine freezes



Expected results:
/dev/sda is abstracted from the usb device and made available as a
mountable device.

Additional info:
Stack trace and panic info will be attached

Comment 1 Robert Theisen 2004-04-08 19:44:30 UTC
What I can get from the trace that has not yet scrolled off screen is
as follows.
------------------------------------------------------------------
Call Trace: [<c0143e68>] kfree [kernel] 0x38 (0xc038fe30)
[<d0837f69>] usb_destroy_configuration [usbcore] 0x49 (0xc038fe40)
usb_free_dev_R17c44693 [usbcore]
process_urb [usb-uhci]
uhci_interrupt [usb-uhci]
handle_IRQ_event [kernel]
do_IRQ [kernel]
do_IRQ [kernel]
apm_bios_call_simple [kernel]
default_idle [kernel]
apm_do_idle [kernel]
schedule [kernel]
apm_cpu_idle [kernel]
apm_cpu_idle [kernel]
default_idle [kernel]
cpu_idle [kernel]
stext [kernel]

Code: 8b 41 0c 29 c6 89 f0 f7 73 18 89 c6 8b 41 14 89 44 b1 18 8b

Kernel panic: Fatal Exception
In interrupt handler - not syncing



Comment 2 Pete Zaitcev 2004-04-19 18:22:14 UTC
Please try 2.4.21-12.EL. If you cannot find it, use the one from:
 ftp://people.redhat.com/zaitcev/120341


Comment 3 Robert Theisen 2004-05-03 17:56:13 UTC
The kernel referenced above will not boot.  

Stops after the message

"Total HugeTLB memory allocated, 0"

Do you have a non-smp version I could try?

Comment 4 Robert Theisen 2004-05-03 17:57:23 UTC
I will need the kernel-source rpm as well to rebuild the vpnclient
packages if this kernel fixes the usb problem.

Thank You

Comment 5 Pete Zaitcev 2004-08-20 07:26:47 UTC
There's non-SMP kernel at the above location now, as well as
kernel-source rpm. Robert, please test 2.4.21-17.EL.


Comment 6 RHEL Product and Program Management 2007-10-19 19:27:48 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.